<!DOCTYPE html>
<html>
<head>
    <title>Fetch Data Webpage</title>
</head>
<body>
  <h1>Data Fetching Webpage</h1>
  <pre id="data"></pre>
  <script src="client.js"></script>
    <script>
        async function fetchData() {
            try {
                // Customize the POST parameters
                const data = {
                    service: 'Food',
                    glat: 60,
                    glon: 100,
                    radius: 5000
                };

                const response = await fetch('/fetch-data', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify(data)
                });

                // Log the entire response object
                console.log('Response:', response);

                const result = await response.json();

                if (result.location) {
                    document.getElementById('data').textContent = JSON.stringify(result.location, null, 2);
                } else {
                    document.getElementById('data').textContent = 'No data found.';
                }
            } catch (error) {
                console.error('Error fetching data:', error.message);
            }
        }

        fetchData();
    </script>
  </body>
</html>
